Skip to main content

Categories API

Get Categories

GET /api/v1/manager-core/products/{type}/categories

Get all categories for a product type.

Query Parameters:

ParameterTypeRequiredValidation
languagestringYesexists:languages,code

Parameters:

  • type (path) - Product type (products, materials, all)

Get Category

GET /api/v1/manager-core/products/{type}/categories/{id}

Parameters:

  • type (path) - Product type
  • id (path) - Category ID

Add Category

POST /api/v1/manager-core/products/{type}/categories/add

Parameters:

  • type (path) - Product type

Request Body:

ParameterTypeRequiredValidation
namestring/arrayYes-
descriptionstring/arrayNo-
parentintegerNoParent category ID

Edit Category

POST /api/v1/manager-core/products/{type}/categories/edit

Parameters:

  • type (path) - Product type

Request Body:

ParameterTypeRequiredValidation
idintegerYesexists:product_categories,id
namearrayYes-
titlearrayNo-
descriptionarrayNo-
sort_descriptionarrayNo-
measurementsarrayNo-
measurements.*integerNoexists:measurement_types,id
image.idintegerNoexists:images,id
icon.idintegerNoexists:images,id
vatRatesobjectNo(country_id: vat_rate_id)

Order Categories

POST /api/v1/manager-core/products/{type}/categories/order

Parameters:

  • type (path) - Product type

Request Body:

ParameterTypeRequiredValidation
dataarrayYesarray of (id, position, parent)

Delete Category

POST /api/v1/manager-core/products/{type}/categories/delete

Parameters:

  • type (path) - Product type

Request Body:

ParameterTypeRequiredValidation
idintegerYesexists:product_categories,id